#include<bits/stdc++.h>

using namespace std;

long long prvi[10],drugi[10],treci[20];

int main(){
	long long x,y,a=0,b=0;
	cin>>x>>y;
	while(x>0){
		prvi[a]=x%10;
		x=x/10;
		a++;
	}
	while(y>0){
		drugi[b]=y%10;
		y=y/10;
		b++;
	}
	int brojac=0,brojcifara=0;
	while(brojac<min(a,b)){
		if(prvi[brojac]>drugi[brojac]){
			treci[brojcifara]=prvi[brojac];
			brojcifara++;
		}
		else if(prvi[brojac]==drugi[brojac]){
			treci[brojcifara]=prvi[brojac];
			brojcifara++;
			treci[brojcifara]=prvi[brojac];
			brojcifara++;
		}
		else{
			treci[brojcifara]=drugi[brojac];
			brojcifara++;
		}
		brojac++;
	}
	if(a>b){
		while(brojac<a){
			treci[brojcifara]=prvi[brojac];
			brojcifara++;
			brojac++;
		}
	}
	else{
		while(brojac<b){
			treci[brojcifara]=drugi[brojac];
			brojcifara++;
			brojac++;
		}
	}
	for(int i=brojcifara-1;i>=0;i--){
		cout<<treci[i];
	}
	return 0;
}